<template>
  <div class="dashboard-main">
    <div class="row m-0 dashboard-main-container">
      <div class="col-12 h5 mb-4">
        Campaign Insight
      </div>
      <div class="col-12">
        <b-form-select
          v-model="select"
          :options="trackingNameOption"
          placholder="Hi"
        >
          <template slot="first">
            <option :value="null" disabled>-- Please select tag --</option>
          </template></b-form-select
        >
      </div>
    </div>
    <div class="row m-0 dashboard-main-container mt-3" v-if="select">
      <div class="col-6 img">
        <img src="@assets/insight/graph-01.png" class="w-100" />
      </div>
      <div class="col-6 img">
        <img src="@assets/insight/graph-02.png" class="w-100" />
      </div>
      <div class="col-6 img">
        <img src="@assets/insight/graph-03.png" class="w-100" />
      </div>
      <div class="col-6 img">
        <img src="@assets/insight/graph-04.png" class="w-100" />
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import Component from "vue-class-component";
import { Watch } from "vue-property-decorator";
import { Action, Getter, namespace } from "vuex-class";

const DashboardStore = namespace("dashboard");
const AuthStore = namespace("auth");

@Component({
  name: "Dashboard_Insight"
})
export default class Dashboard_Insight extends Vue {
  @DashboardStore.Action("queryTrackingName") queryTrackingName!: any;
  @DashboardStore.Getter("trackingNameOption") trackingNameOption!: object;
  @AuthStore.Getter("userDataData") userDataData!: string;

  select = null;
  options = {};

  created() {
    this.queryTrackingName({ brand: this.userDataData });
  }
}
</script>

<style>
</style>
